# H323GatekeeperBRQ Class Reference

`#include <gkserver.h>`

Inheritance diagram for H323GatekeeperBRQ:

[legend]
Collaboration diagram for H323GatekeeperBRQ:
[legend]

## Public Member Functions

| H323GatekeeperBRQ (H323GatekeeperListener &listener, const H323RasPDU &pdu)
virtual PString | GetGatekeeperIdentifier () const
virtual unsigned | GetGatekeeperRejectTag () const
virtual PString | GetEndpointIdentifier () const
virtual unsigned | GetRegisteredEndPointRejectTag () const
virtual H235Authenticator::ValidationResult | ValidatePDU () const
virtual unsigned | GetSecurityRejectTag () const
virtual void | SetRejectReason (unsigned reasonCode)

## Data Fields

H225_BandwidthRequest & | brq
H225_BandwidthConfirm & | bcf
H225_BandwidthReject & | brj

## Protected Member Functions

virtual Response | OnHandlePDU ()

## Constructor & Destructor Documentation

H323GatekeeperBRQ::H323GatekeeperBRQ | ( | H323GatekeeperListener & | listener,
|  | const H323RasPDU & | pdu |
| ) |  |  |

## Member Function Documentation

virtual PString H323GatekeeperBRQ::GetEndpointIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual PString H323GatekeeperBRQ::GetGatekeeperIdentifier | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperBRQ::GetGatekeeperRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperBRQ::GetRegisteredEndPointRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual unsigned H323GatekeeperBRQ::GetSecurityRejectTag | ( |  | ) | const`[virtual]`

Implements H323GatekeeperRequest.

virtual Response H323GatekeeperBRQ::OnHandlePDU | ( |  | ) | `[protected, virtual]`

Implements H323Transaction.

virtual void H323GatekeeperBRQ::SetRejectReason | ( | unsigned | reasonCode | ) | `[virtual]`

Implements H323Transaction.

virtual H235Authenticator::ValidationResult H323GatekeeperBRQ::ValidatePDU | ( |  | ) | const`[virtual]`

Implements H323Transaction.

## Field Documentation

H225_BandwidthConfirm& H323GatekeeperBRQ::bcf

H225_BandwidthReject& H323GatekeeperBRQ::brj

H225_BandwidthRequest& H323GatekeeperBRQ::brq

The documentation for this class was generated from the following file:

- gkserver.h